Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network210.167.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
210.167.0.0
Broadcast address
210.167.255.255
First usable
210.167.0.1
Last usable
210.167.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
C (default /24)
As numbers
Hex D2A70000 · Integer 3534159872 to 3534225407
Reverse DNS zone
167.210.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11010010.10100111..00000000.00000000210.167.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network11010010.10100111..00000000.00000000210.167.0.0
Broadcast11010010.10100111..11111111.11111111210.167.255.255
Split into smaller subnets/22

210.167.0.0/16 makes 64 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1210.167.0.0/22210.167.0.1 to 210.167.3.254210.167.3.2551,022
2210.167.4.0/22210.167.4.1 to 210.167.7.254210.167.7.2551,022
3210.167.8.0/22210.167.8.1 to 210.167.11.254210.167.11.2551,022
4210.167.12.0/22210.167.12.1 to 210.167.15.254210.167.15.2551,022
5210.167.16.0/22210.167.16.1 to 210.167.19.254210.167.19.2551,022
6210.167.20.0/22210.167.20.1 to 210.167.23.254210.167.23.2551,022
7210.167.24.0/22210.167.24.1 to 210.167.27.254210.167.27.2551,022
8210.167.28.0/22210.167.28.1 to 210.167.31.254210.167.31.2551,022
9210.167.32.0/22210.167.32.1 to 210.167.35.254210.167.35.2551,022
10210.167.36.0/22210.167.36.1 to 210.167.39.254210.167.39.2551,022
11210.167.40.0/22210.167.40.1 to 210.167.43.254210.167.43.2551,022
12210.167.44.0/22210.167.44.1 to 210.167.47.254210.167.47.2551,022
13210.167.48.0/22210.167.48.1 to 210.167.51.254210.167.51.2551,022
14210.167.52.0/22210.167.52.1 to 210.167.55.254210.167.55.2551,022
15210.167.56.0/22210.167.56.1 to 210.167.59.254210.167.59.2551,022
16210.167.60.0/22210.167.60.1 to 210.167.63.254210.167.63.2551,022
17210.167.64.0/22210.167.64.1 to 210.167.67.254210.167.67.2551,022
18210.167.68.0/22210.167.68.1 to 210.167.71.254210.167.71.2551,022
19210.167.72.0/22210.167.72.1 to 210.167.75.254210.167.75.2551,022
20210.167.76.0/22210.167.76.1 to 210.167.79.254210.167.79.2551,022
21210.167.80.0/22210.167.80.1 to 210.167.83.254210.167.83.2551,022
22210.167.84.0/22210.167.84.1 to 210.167.87.254210.167.87.2551,022
23210.167.88.0/22210.167.88.1 to 210.167.91.254210.167.91.2551,022
24210.167.92.0/22210.167.92.1 to 210.167.95.254210.167.95.2551,022
25210.167.96.0/22210.167.96.1 to 210.167.99.254210.167.99.2551,022
26210.167.100.0/22210.167.100.1 to 210.167.103.254210.167.103.2551,022
27210.167.104.0/22210.167.104.1 to 210.167.107.254210.167.107.2551,022
28210.167.108.0/22210.167.108.1 to 210.167.111.254210.167.111.2551,022
29210.167.112.0/22210.167.112.1 to 210.167.115.254210.167.115.2551,022
30210.167.116.0/22210.167.116.1 to 210.167.119.254210.167.119.2551,022
31210.167.120.0/22210.167.120.1 to 210.167.123.254210.167.123.2551,022
32210.167.124.0/22210.167.124.1 to 210.167.127.254210.167.127.2551,022
33210.167.128.0/22210.167.128.1 to 210.167.131.254210.167.131.2551,022
34210.167.132.0/22210.167.132.1 to 210.167.135.254210.167.135.2551,022
35210.167.136.0/22210.167.136.1 to 210.167.139.254210.167.139.2551,022
36210.167.140.0/22210.167.140.1 to 210.167.143.254210.167.143.2551,022
37210.167.144.0/22210.167.144.1 to 210.167.147.254210.167.147.2551,022
38210.167.148.0/22210.167.148.1 to 210.167.151.254210.167.151.2551,022
39210.167.152.0/22210.167.152.1 to 210.167.155.254210.167.155.2551,022
40210.167.156.0/22210.167.156.1 to 210.167.159.254210.167.159.2551,022
41210.167.160.0/22210.167.160.1 to 210.167.163.254210.167.163.2551,022
42210.167.164.0/22210.167.164.1 to 210.167.167.254210.167.167.2551,022
43210.167.168.0/22210.167.168.1 to 210.167.171.254210.167.171.2551,022
44210.167.172.0/22210.167.172.1 to 210.167.175.254210.167.175.2551,022
45210.167.176.0/22210.167.176.1 to 210.167.179.254210.167.179.2551,022
46210.167.180.0/22210.167.180.1 to 210.167.183.254210.167.183.2551,022
47210.167.184.0/22210.167.184.1 to 210.167.187.254210.167.187.2551,022
48210.167.188.0/22210.167.188.1 to 210.167.191.254210.167.191.2551,022
49210.167.192.0/22210.167.192.1 to 210.167.195.254210.167.195.2551,022
50210.167.196.0/22210.167.196.1 to 210.167.199.254210.167.199.2551,022
51210.167.200.0/22210.167.200.1 to 210.167.203.254210.167.203.2551,022
52210.167.204.0/22210.167.204.1 to 210.167.207.254210.167.207.2551,022
53210.167.208.0/22210.167.208.1 to 210.167.211.254210.167.211.2551,022
54210.167.212.0/22210.167.212.1 to 210.167.215.254210.167.215.2551,022
55210.167.216.0/22210.167.216.1 to 210.167.219.254210.167.219.2551,022
56210.167.220.0/22210.167.220.1 to 210.167.223.254210.167.223.2551,022
57210.167.224.0/22210.167.224.1 to 210.167.227.254210.167.227.2551,022
58210.167.228.0/22210.167.228.1 to 210.167.231.254210.167.231.2551,022
59210.167.232.0/22210.167.232.1 to 210.167.235.254210.167.235.2551,022
60210.167.236.0/22210.167.236.1 to 210.167.239.254210.167.239.2551,022
61210.167.240.0/22210.167.240.1 to 210.167.243.254210.167.243.2551,022
62210.167.244.0/22210.167.244.1 to 210.167.247.254210.167.247.2551,022
63210.167.248.0/22210.167.248.1 to 210.167.251.254210.167.251.2551,022
64210.167.252.0/22210.167.252.1 to 210.167.255.254210.167.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses